package com.ejie.client.fdcdp;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

/**
 * This object contains factory methods for each Java content interface and Java
 * element interface generated in the com.ejie.client.fdcdp package.
 * <p>
 * An ObjectFactory allows you to programatically construct new instances of the
 * Java representation for XML content. The Java representation of XML content
 * can consist of schema derived interfaces and classes representing the binding
 * of schema type definitions, element declarations and model groups. Factory
 * methods for each of these are provided in this class.
 * 
 * @author GFI-NORTE
 */
@XmlRegistry()
public class ObjectFactory {

	private final static QName MAPQNAME = new QName(
			"http://www.openuri.org/", "Map");
	private final static QName STRINGQNAME = new QName(
			"http://www.openuri.org/", "string");
	private final static QName BOOLEANQNAME = new QName(
			"http://www.openuri.org/", "boolean");

	/**
	 * Create a new ObjectFactory that can be used to create new instances of
	 * schema derived classes for package: com.ejie.client.fdcdp
	 * 
	 */
	public ObjectFactory() {
	}

	/**
	 * Create an instance of {@link Map }.
	 *
	 * @return obj
	 */
	public Map createMap() {
		return new Map();
	}

	/**
	 * Create an instance of {@link GetAppealTypes }.
	 *
	 * @return obj
	 */
	public GetAppealTypes createGetAppealTypes() {
		return new GetAppealTypes();
	}

	/**
	 * Create an instance of {@link GetDocumentTypeFACResponse }.
	 *
	 * @return obj
	 */
	public GetDocumentTypeFACResponse createGetDocumentTypeFACResponse() {
		return new GetDocumentTypeFACResponse();
	}

	/**
	 * Create an instance of {@link SearchProcedures }.
	 *
	 * @return obj
	 */
	public SearchProcedures createSearchProcedures() {
		return new SearchProcedures();
	}

	/**
	 * Create an instance of {@link GetNotifiedActForProcedureFACResponse }.
	 *
	 * @return obj
	 */
	public GetNotifiedActForProcedureFACResponse createGetNotifiedActForProcedureFACResponse() {
		return new GetNotifiedActForProcedureFACResponse();
	}

	/**
	 * Create an instance of
	 * {@link GetProcedureTelActionInstancesByProcedureIdResponse }.
	 *
	 * @return obj
	 */
	public GetProcedureTelActionInstancesByProcedureIdResponse createGetProcedureTelActionInstancesByProcedureIdResponse() {
		return new GetProcedureTelActionInstancesByProcedureIdResponse();
	}

	/**
	 * Create an instance of {@link GetFamilyProcedureListResponse }.
	 *
	 * @return obj
	 */
	public GetFamilyProcedureListResponse createGetFamilyProcedureListResponse() {
		return new GetFamilyProcedureListResponse();
	}

	/**
	 * Create an instance of {@link GetAssociatedFormsFacV22Response }.
	 *
	 * @return obj
	 */
	public GetAssociatedFormsFacV22Response createGetAssociatedFormsFacV22Response() {
		return new GetAssociatedFormsFacV22Response();
	}

	/**
	 * Create an instance of {@link GetAllOfProceduresFAC }.
	 *
	 * @return obj
	 */
	public GetAllOfProceduresFAC createGetAllOfProceduresFAC() {
		return new GetAllOfProceduresFAC();
	}

	/**
	 * Create an instance of {@link GetProcedureNamesByIds }.
	 *
	 * @return obj
	 */
	public GetProcedureNamesByIds createGetProcedureNamesByIds() {
		return new GetProcedureNamesByIds();
	}

	/**
	 * Create an instance of {@link ArrayOfString }.
	 *
	 * @return obj
	 */
	public ArrayOfString createArrayOfString() {
		return new ArrayOfString();
	}

	/**
	 * Create an instance of {@link GetConsultationContextResponse }.
	 *
	 * @return obj
	 */
	public GetConsultationContextResponse createGetConsultationContextResponse() {
		return new GetConsultationContextResponse();
	}

	/**
	 * Create an instance of {@link GetProcedureHtmlReportResponse }.
	 *
	 * @return obj
	 */
	public GetProcedureHtmlReportResponse createGetProcedureHtmlReportResponse() {
		return new GetProcedureHtmlReportResponse();
	}

	/**
	 * Create an instance of {@link GetProcedureTelActionFormsV22Response }.
	 *
	 * @return obj
	 */
	public GetProcedureTelActionFormsV22Response createGetProcedureTelActionFormsV22Response() {
		return new GetProcedureTelActionFormsV22Response();
	}

	/**
	 * Create an instance of
	 * {@link GetAssociatedProcedureValidationsFACV22Response }.
	 *
	 * @return obj
	 */
	public GetAssociatedProcedureValidationsFACV22Response createGetAssociatedProcedureValidationsFACV22Response() {
		return new GetAssociatedProcedureValidationsFACV22Response();
	}

	/**
	 * Create an instance of {@link GetProcedureDataAsXml }.
	 *
	 * @return obj
	 */
	public GetProcedureDataAsXml createGetProcedureDataAsXml() {
		return new GetProcedureDataAsXml();
	}

	/**
	 * Create an instance of {@link GetTelematicActionResponse }.
	 *
	 * @return obj
	 */
	public GetTelematicActionResponse createGetTelematicActionResponse() {
		return new GetTelematicActionResponse();
	}

	/**
	 * Create an instance of {@link GetAllOfProceduresFACResponse }.
	 *
	 * @return obj
	 */
	public GetAllOfProceduresFACResponse createGetAllOfProceduresFACResponse() {
		return new GetAllOfProceduresFACResponse();
	}

	/**
	 * Create an instance of {@link GetProcedureTelActionForms }.
	 *
	 * @return obj
	 */
	public GetProcedureTelActionForms createGetProcedureTelActionForms() {
		return new GetProcedureTelActionForms();
	}

	/**
	 * Create an instance of {@link GetAssociatedProcedureValidationsFACV22 }.
	 *
	 * @return obj
	 */
	public GetAssociatedProcedureValidationsFACV22 createGetAssociatedProcedureValidationsFACV22() {
		return new GetAssociatedProcedureValidationsFACV22();
	}

	/**
	 * Create an instance of {@link GetManagingUnitInfoForTelematicActionV22 }.
	 *
	 * @return obj
	 */
	public GetManagingUnitInfoForTelematicActionV22 createGetManagingUnitInfoForTelematicActionV22() {
		return new GetManagingUnitInfoForTelematicActionV22();
	}

	/**
	 * Create an instance of {@link GetAllDocumentsResponse }.
	 *
	 * @return obj
	 */
	public GetAllDocumentsResponse createGetAllDocumentsResponse() {
		return new GetAllDocumentsResponse();
	}

	/**
	 * Create an instance of {@link GetProcedureNamesByIdsXmlResponse }.
	 *
	 * @return obj
	 */
	public GetProcedureNamesByIdsXmlResponse createGetProcedureNamesByIdsXmlResponse() {
		return new GetProcedureNamesByIdsXmlResponse();
	}

	/**
	 * Create an instance of {@link GetDocumentTypesForProcedureV22Response }.
	 *
	 * @return obj
	 */
	public GetDocumentTypesForProcedureV22Response createGetDocumentTypesForProcedureV22Response() {
		return new GetDocumentTypesForProcedureV22Response();
	}

	/**
	 * Create an instance of {@link GetAssociatedFormsFac }.
	 *
	 * @return obj
	 */
	public GetAssociatedFormsFac createGetAssociatedFormsFac() {
		return new GetAssociatedFormsFac();
	}

	/**
	 * Create an instance of
	 * {@link GetTelematicActionInstancesByProcedureIdResponse }.
	 *
	 * @return obj
	 */
	public GetTelematicActionInstancesByProcedureIdResponse createGetTelematicActionInstancesByProcedureIdResponse() {
		return new GetTelematicActionInstancesByProcedureIdResponse();
	}

	/**
	 * Create an instance of {@link GetAssociatedProcedureValidationsFAC }.
	 *
	 * @return obj
	 */
	public GetAssociatedProcedureValidationsFAC createGetAssociatedProcedureValidationsFAC() {
		return new GetAssociatedProcedureValidationsFAC();
	}

	/**
	 * Create an instance of {@link GetAssociatedFormsFacResponse }.
	 *
	 * @return obj
	 */
	public GetAssociatedFormsFacResponse createGetAssociatedFormsFacResponse() {
		return new GetAssociatedFormsFacResponse();
	}

	/**
	 * Create an instance of {@link GetCalendarTypes }.
	 *
	 * @return obj
	 */
	public GetCalendarTypes createGetCalendarTypes() {
		return new GetCalendarTypes();
	}

	/**
	 * Create an instance of {@link GetProcedureCatalogDataAsXmlWithFilters }.
	 *
	 * @return obj
	 */
	public GetProcedureCatalogDataAsXmlWithFilters createGetProcedureCatalogDataAsXmlWithFilters() {
		return new GetProcedureCatalogDataAsXmlWithFilters();
	}

	/**
	 * Create an instance of
	 * {@link GetOrganismCertificateIdByOrganismIdResponse }.
	 *
	 * @return obj
	 */
	public GetOrganismCertificateIdByOrganismIdResponse createGetOrganismCertificateIdByOrganismIdResponse() {
		return new GetOrganismCertificateIdByOrganismIdResponse();
	}

	/**
	 * Create an instance of {@link GetProcedureDataAsXmlResponse }.
	 *
	 * @return obj
	 */
	public GetProcedureDataAsXmlResponse createGetProcedureDataAsXmlResponse() {
		return new GetProcedureDataAsXmlResponse();
	}

	/**
	 * Create an instance of {@link GetDocumentsInfoFacV22Response }.
	 *
	 * @return obj
	 */
	public GetDocumentsInfoFacV22Response createGetDocumentsInfoFacV22Response() {
		return new GetDocumentsInfoFacV22Response();
	}

	/**
	 * Create an instance of {@link GetProcedureTelActionFormsResponse }.
	 *
	 * @return obj
	 */
	public GetProcedureTelActionFormsResponse createGetProcedureTelActionFormsResponse() {
		return new GetProcedureTelActionFormsResponse();
	}

	/**
	 * Create an instance of
	 * {@link GetAssociatedProcedureValidationsFACResponse }.
	 *
	 * @return obj
	 */
	public GetAssociatedProcedureValidationsFACResponse createGetAssociatedProcedureValidationsFACResponse() {
		return new GetAssociatedProcedureValidationsFACResponse();
	}

	/**
	 * Create an instance of {@link GetOrganismCertificateIdByOrganismId }.
	 *
	 * @return obj
	 */
	public GetOrganismCertificateIdByOrganismId createGetOrganismCertificateIdByOrganismId() {
		return new GetOrganismCertificateIdByOrganismId();
	}

	/**
	 * Create an instance of {@link GetNotifiedActForProcedureFAC }.
	 *
	 * @return obj
	 */
	public GetNotifiedActForProcedureFAC createGetNotifiedActForProcedureFAC() {
		return new GetNotifiedActForProcedureFAC();
	}

	/**
	 * Create an instance of {@link GetSoftConsultationContextResponse }.
	 *
	 * @return obj
	 */
	public GetSoftConsultationContextResponse createGetSoftConsultationContextResponse() {
		return new GetSoftConsultationContextResponse();
	}

	/**
	 * Create an instance of {@link GetProcedureInboxIDResponse }.
	 *
	 * @return obj
	 */
	public GetProcedureInboxIDResponse createGetProcedureInboxIDResponse() {
		return new GetProcedureInboxIDResponse();
	}

	/**
	 * Create an instance of {@link GetAppealTypesForProcedure }.
	 *
	 * @return obj
	 */
	public GetAppealTypesForProcedure createGetAppealTypesForProcedure() {
		return new GetAppealTypesForProcedure();
	}

	/**
	 * Create an instance of {@link GetProcedureTelActionFormsV22 }.
	 *
	 * @return obj
	 */
	public GetProcedureTelActionFormsV22 createGetProcedureTelActionFormsV22() {
		return new GetProcedureTelActionFormsV22();
	}

	/**
	 * Create an instance of {@link GetProcedureCatalogHtmlReportResponse }.
	 *
	 * @return obj
	 */
	public GetProcedureCatalogHtmlReportResponse createGetProcedureCatalogHtmlReportResponse() {
		return new GetProcedureCatalogHtmlReportResponse();
	}

	/**
	 * Create an instance of {@link GetProceduresInboxID }.
	 *
	 * @return obj
	 */
	public GetProceduresInboxID createGetProceduresInboxID() {
		return new GetProceduresInboxID();
	}

	/**
	 * Create an instance of {@link IsOpenFAC }.
	 *
	 * @return obj
	 */
	public IsOpenFAC createIsOpenFAC() {
		return new IsOpenFAC();
	}

	/**
	 * Create an instance of {@link SearchProceduresResponse }.
	 *
	 * @return obj
	 */
	public SearchProceduresResponse createSearchProceduresResponse() {
		return new SearchProceduresResponse();
	}

	/**
	 * Create an instance of {@link GetAssociatedDocumentsFac }.
	 *
	 * @return obj
	 */
	public GetAssociatedDocumentsFac createGetAssociatedDocumentsFac() {
		return new GetAssociatedDocumentsFac();
	}

	/**
	 * Create an instance of {@link GetManagingUnitListResponse }.
	 *
	 * @return obj
	 */
	public GetManagingUnitListResponse createGetManagingUnitListResponse() {
		return new GetManagingUnitListResponse();
	}

	/**
	 * Create an instance of {@link GetProcedureTelActionInstance }.
	 *
	 * @return obj
	 */
	public GetProcedureTelActionInstance createGetProcedureTelActionInstance() {
		return new GetProcedureTelActionInstance();
	}

	/**
	 * Create an instance of {@link GetProcedureList }.
	 *
	 * @return obj
	 */
	public GetProcedureList createGetProcedureList() {
		return new GetProcedureList();
	}

	/**
	 * Create an instance of {@link GetCalendarTypesResponse }.
	 *
	 * @return obj
	 */
	public GetCalendarTypesResponse createGetCalendarTypesResponse() {
		return new GetCalendarTypesResponse();
	}

	/**
	 * Create an instance of {@link GetDocumentTypesForProcedureV22 }.
	 *
	 * @return obj
	 */
	public GetDocumentTypesForProcedureV22 createGetDocumentTypesForProcedureV22() {
		return new GetDocumentTypesForProcedureV22();
	}

	/**
	 * Create an instance of {@link GetTelematicActions }.
	 *
	 * @return obj
	 */
	public GetTelematicActions createGetTelematicActions() {
		return new GetTelematicActions();
	}

	/**
	 * Create an instance of {@link GetSingProcedureTypeResponse }.
	 *
	 * @return obj
	 */
	public GetSingProcedureTypeResponse createGetSingProcedureTypeResponse() {
		return new GetSingProcedureTypeResponse();
	}

	/**
	 * Create an instance of {@link GetProcedureListResponse }.
	 *
	 * @return obj
	 */
	public GetProcedureListResponse createGetProcedureListResponse() {
		return new GetProcedureListResponse();
	}

	/**
	 * Create an instance of {@link GetDocumentForProcedure }.
	 *
	 * @return obj
	 */
	public GetDocumentForProcedure createGetDocumentForProcedure() {
		return new GetDocumentForProcedure();
	}

	/**
	 * Create an instance of {@link GetAssociatedDocumentsFacResponse }.
	 *
	 * @return obj
	 */
	public GetAssociatedDocumentsFacResponse createGetAssociatedDocumentsFacResponse() {
		return new GetAssociatedDocumentsFacResponse();
	}

	/**
	 * Create an instance of {@link GetAppealsForProcedure }.
	 *
	 * @return obj
	 */
	public GetAppealsForProcedure createGetAppealsForProcedure() {
		return new GetAppealsForProcedure();
	}

	/**
	 * Create an instance of {@link GetIfProcedureExistsResponse }.
	 *
	 * @return obj
	 */
	public GetIfProcedureExistsResponse createGetIfProcedureExistsResponse() {
		return new GetIfProcedureExistsResponse();
	}

	/**
	 * Create an instance of {@link GetProcedureFacResponse }.
	 *
	 * @return obj
	 */
	public GetProcedureFacResponse createGetProcedureFacResponse() {
		return new GetProcedureFacResponse();
	}

	/**
	 * Create an instance of {@link GetNotifiedActFAC }.
	 *
	 * @return obj
	 */
	public GetNotifiedActFAC createGetNotifiedActFAC() {
		return new GetNotifiedActFAC();
	}

	/**
	 * Create an instance of {@link GetProcedureFamiliesResponse }.
	 *
	 * @return obj
	 */
	public GetProcedureFamiliesResponse createGetProcedureFamiliesResponse() {
		return new GetProcedureFamiliesResponse();
	}

	/**
	 * Create an instance of {@link GetAppealTypesResponse }.
	 *
	 * @return obj
	 */
	public GetAppealTypesResponse createGetAppealTypesResponse() {
		return new GetAppealTypesResponse();
	}

	/**
	 * Create an instance of {@link GetManagingUnitInfoForTelematicAction }.
	 *
	 * @return obj
	 */
	public GetManagingUnitInfoForTelematicAction createGetManagingUnitInfoForTelematicAction() {
		return new GetManagingUnitInfoForTelematicAction();
	}

	/**
	 * Create an instance of {@link GetTelematicActionInstancesByProcedureId }.
	 *
	 * @return obj
	 */
	public GetTelematicActionInstancesByProcedureId createGetTelematicActionInstancesByProcedureId() {
		return new GetTelematicActionInstancesByProcedureId();
	}

	/**
	 * Create an instance of {@link GetProcedureHtmlReport }.
	 *
	 * @return obj
	 */
	public GetProcedureHtmlReport createGetProcedureHtmlReport() {
		return new GetProcedureHtmlReport();
	}

	/**
	 * Create an instance of {@link GetControlSubmissionContextFAC }.
	 *
	 * @return obj
	 */
	public GetControlSubmissionContextFAC createGetControlSubmissionContextFAC() {
		return new GetControlSubmissionContextFAC();
	}

	/**
	 * Create an instance of
	 * {@link GetManagingUnitInfoForTelematicActionV22Response }.
	 *
	 * @return obj
	 */
	public GetManagingUnitInfoForTelematicActionV22Response createGetManagingUnitInfoForTelematicActionV22Response() {
		return new GetManagingUnitInfoForTelematicActionV22Response();
	}

	/**
	 * Create an instance of {@link GetProcedureCatalogDataAsXmlResponse }.
	 *
	 * @return obj
	 */
	public GetProcedureCatalogDataAsXmlResponse createGetProcedureCatalogDataAsXmlResponse() {
		return new GetProcedureCatalogDataAsXmlResponse();
	}

	/**
	 * Create an instance of {@link GetControlSubmissionContextFACResponse }.
	 *
	 * @return obj
	 */
	public GetControlSubmissionContextFACResponse createGetControlSubmissionContextFACResponse() {
		return new GetControlSubmissionContextFACResponse();
	}

	/**
	 * Create an instance of {@link GetDocumentsInfoFacV22 }.
	 *
	 * @return obj
	 */
	public GetDocumentsInfoFacV22 createGetDocumentsInfoFacV22() {
		return new GetDocumentsInfoFacV22();
	}

	/**
	 * Create an instance of {@link GetDocumentsInfoFac }.
	 *
	 * @return obj
	 */
	public GetDocumentsInfoFac createGetDocumentsInfoFac() {
		return new GetDocumentsInfoFac();
	}

	/**
	 * Create an instance of {@link GetTelematicActionsResponse }.
	 *
	 * @return obj
	 */
	public GetTelematicActionsResponse createGetTelematicActionsResponse() {
		return new GetTelematicActionsResponse();
	}

	/**
	 * Create an instance of {@link GetIfProcedureExists }.
	 *
	 * @return obj
	 */
	public GetIfProcedureExists createGetIfProcedureExists() {
		return new GetIfProcedureExists();
	}

	/**
	 * Create an instance of {@link GetDocumentForProcedureResponse }.
	 *
	 * @return obj
	 */
	public GetDocumentForProcedureResponse createGetDocumentForProcedureResponse() {
		return new GetDocumentForProcedureResponse();
	}

	/**
	 * Create an instance of {@link GetDocumentsInfoFacResponse }.
	 *
	 * @return obj
	 */
	public GetDocumentsInfoFacResponse createGetDocumentsInfoFacResponse() {
		return new GetDocumentsInfoFacResponse();
	}

	/**
	 * Create an instance of {@link IsOpenFACResponse }.
	 *
	 * @return obj
	 */
	public IsOpenFACResponse createIsOpenFACResponse() {
		return new IsOpenFACResponse();
	}

	/**
	 * Create an instance of {@link GetProcedureFamilies }.
	 *
	 * @return obj
	 */
	public GetProcedureFamilies createGetProcedureFamilies() {
		return new GetProcedureFamilies();
	}

	/**
	 * Create an instance of {@link GetProcedureTelActionInstancesByProcedureId }.
	 *
	 * @return obj
	 */
	public GetProcedureTelActionInstancesByProcedureId createGetProcedureTelActionInstancesByProcedureId() {
		return new GetProcedureTelActionInstancesByProcedureId();
	}

	/**
	 * Create an instance of {@link GetProcedureFac }.
	 *
	 * @return obj
	 */
	public GetProcedureFac createGetProcedureFac() {
		return new GetProcedureFac();
	}

	/**
	 * Create an instance of {@link GetAppealsForProcedureResponse }.
	 *
	 * @return obj
	 */
	public GetAppealsForProcedureResponse createGetAppealsForProcedureResponse() {
		return new GetAppealsForProcedureResponse();
	}

	/**
	 * Create an instance of {@link GetProcedureTelActionInstanceResponse }.
	 *
	 * @return obj
	 */
	public GetProcedureTelActionInstanceResponse createGetProcedureTelActionInstanceResponse() {
		return new GetProcedureTelActionInstanceResponse();
	}

	/**
	 * Create an instance of {@link GetAppealTypesForProcedureResponse }.
	 *
	 * @return obj
	 */
	public GetAppealTypesForProcedureResponse createGetAppealTypesForProcedureResponse() {
		return new GetAppealTypesForProcedureResponse();
	}

	/**
	 * Create an instance of {@link GetNotifiedActFACResponse }.
	 *
	 * @return obj
	 */
	public GetNotifiedActFACResponse createGetNotifiedActFACResponse() {
		return new GetNotifiedActFACResponse();
	}

	/**
	 * Create an instance of {@link GetManagingUnitList }.
	 *
	 * @return obj
	 */
	public GetManagingUnitList createGetManagingUnitList() {
		return new GetManagingUnitList();
	}

	/**
	 * Create an instance of {@link GetAssociatedDocumentsFacV22 }.
	 *
	 * @return obj
	 */
	public GetAssociatedDocumentsFacV22 createGetAssociatedDocumentsFacV22() {
		return new GetAssociatedDocumentsFacV22();
	}

	/**
	 * Create an instance of {@link GetProcedureCatalogDataAsXml }.
	 *
	 * @return obj
	 */
	public GetProcedureCatalogDataAsXml createGetProcedureCatalogDataAsXml() {
		return new GetProcedureCatalogDataAsXml();
	}

	/**
	 * Create an instance of {@link GetFamilyProcedureList }.
	 *
	 * @return obj
	 */
	public GetFamilyProcedureList createGetFamilyProcedureList() {
		return new GetFamilyProcedureList();
	}

	/**
	 * Create an instance of {@link GetAssociatedDocumentsFacV22Response }.
	 *
	 * @return obj
	 */
	public GetAssociatedDocumentsFacV22Response createGetAssociatedDocumentsFacV22Response() {
		return new GetAssociatedDocumentsFacV22Response();
	}

	/**
	 * Create an instance of
	 * {@link GetManagingUnitInfoForTelematicActionResponse }.
	 *
	 * @return obj
	 */
	public GetManagingUnitInfoForTelematicActionResponse createGetManagingUnitInfoForTelematicActionResponse() {
		return new GetManagingUnitInfoForTelematicActionResponse();
	}

	/**
	 * Create an instance of {@link GetConsultationContext }.
	 *
	 * @return obj
	 */
	public GetConsultationContext createGetConsultationContext() {
		return new GetConsultationContext();
	}

	/**
	 * Create an instance of
	 * {@link GetProcedureCatalogDataAsXmlWithFiltersResponse }.
	 *
	 * @return obj
	 */
	public GetProcedureCatalogDataAsXmlWithFiltersResponse createGetProcedureCatalogDataAsXmlWithFiltersResponse() {
		return new GetProcedureCatalogDataAsXmlWithFiltersResponse();
	}

	/**
	 * Create an instance of {@link GetDocumentTypeFAC }.
	 *
	 * @return obj
	 */
	public GetDocumentTypeFAC createGetDocumentTypeFAC() {
		return new GetDocumentTypeFAC();
	}

	/**
	 * Create an instance of {@link GetSingProcedureType }.
	 *
	 * @return obj
	 */
	public GetSingProcedureType createGetSingProcedureType() {
		return new GetSingProcedureType();
	}

	/**
	 * Create an instance of {@link GetProcedureInboxID }.
	 *
	 * @return obj
	 */
	public GetProcedureInboxID createGetProcedureInboxID() {
		return new GetProcedureInboxID();
	}

	/**
	 * Create an instance of {@link GetAllDocuments }.
	 *
	 * @return obj
	 */
	public GetAllDocuments createGetAllDocuments() {
		return new GetAllDocuments();
	}

	/**
	 * Create an instance of {@link GetProceduresInboxIDResponse }.
	 *
	 * @return obj
	 */
	public GetProceduresInboxIDResponse createGetProceduresInboxIDResponse() {
		return new GetProceduresInboxIDResponse();
	}

	/**
	 * Create an instance of {@link GetProcedureNamesByIdsResponse }.
	 *
	 * @return obj
	 */
	public GetProcedureNamesByIdsResponse createGetProcedureNamesByIdsResponse() {
		return new GetProcedureNamesByIdsResponse();
	}

	/**
	 * Create an instance of {@link GetSoftConsultationContext }.
	 *
	 * @return obj
	 */
	public GetSoftConsultationContext createGetSoftConsultationContext() {
		return new GetSoftConsultationContext();
	}

	/**
	 * Create an instance of {@link GetAssociatedFormsFacV22 }.
	 *
	 * @return obj
	 */
	public GetAssociatedFormsFacV22 createGetAssociatedFormsFacV22() {
		return new GetAssociatedFormsFacV22();
	}

	/**
	 * Create an instance of {@link GetProcedureNamesByIdsXml }.
	 *
	 * @return obj
	 */
	public GetProcedureNamesByIdsXml createGetProcedureNamesByIdsXml() {
		return new GetProcedureNamesByIdsXml();
	}

	/**
	 * Create an instance of {@link GetProcedureCatalogHtmlReport }.
	 *
	 * @return obj
	 */
	public GetProcedureCatalogHtmlReport createGetProcedureCatalogHtmlReport() {
		return new GetProcedureCatalogHtmlReport();
	}

	/**
	 * Create an instance of {@link GetTelematicAction }.
	 *
	 * @return obj
	 */
	public GetTelematicAction createGetTelematicAction() {
		return new GetTelematicAction();
	}

	/**
	 * Create an instance of {@link Map.Item }
	 * 
	 * @return obj
	 */
	public Map.Item createMapItem() {
		return new Map.Item();
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link Map }{@code >}.
	 *
	 * @param value            Map
	 * @return JAXBElement<Map>
	 */
	@XmlElementDecl(namespace = "http://www.openuri.org/", name = "Map")
	public JAXBElement<Map> createMap(Map value) {
		return new JAXBElement<Map>(ObjectFactory.MAPQNAME, Map.class, null,
				value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}.
	 *
	 * @param value            String
	 * @return JAXBElement<Map>
	 */
	@XmlElementDecl(namespace = "http://www.openuri.org/", name = "string")
	public JAXBElement<String> createString(String value) {
		return new JAXBElement<String>(ObjectFactory.STRINGQNAME,
				String.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link Boolean }{@code >}.
	 *
	 * @param value            Boolean
	 * @return JAXBElement<Map>
	 */
	@XmlElementDecl(namespace = "http://www.openuri.org/", name = "boolean")
	public JAXBElement<Boolean> createBoolean(Boolean value) {
		return new JAXBElement<Boolean>(ObjectFactory.BOOLEANQNAME,
				Boolean.class, null, value);
	}

}
